Subject: Re: [PATCH] bridge: avoid ptype_all packet handling

From: Stephen Hemminger <[email-masked]>
Date: Fri, 02 Mar 2007 23:09:14 -0800

David Miller wrote:
> From: Andi Kleen <[email-masked]>
> Date: 03 Mar 2007 03:14:29 +0100
>
>   
>> That's pretty common with many x86 server boards because 
>> they come with two NICs by default but must people only
>> plug the cable into one. However the distro installers
>> run DHCP on all.
>>     
>
> Nope, that's not what I've seen them do, instead they run dhcp on
> interfaces that report a link being present.
>   

Actually, It may be even simpler... I start bridge with a script and 
there was still a dhclient
left over running on the original interface.  It was an interesting 
exercise, and I have new
tools to help, but still no magic bullet to get up to full line rate.